com.corticon.rulesemf.assetmodel

## Interface RulesheetAsset

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RulesheetAsset
      extends Asset

  A representation of the model object 'Rulesheet Asset'.

  The following features are supported:

  - `Ruleset`
  - `Rulesheet View List`
  See Also:
    `AssetmodelPackage.getRulesheetAsset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PRuleset` | `getRuleset()` Returns the value of the 'Ruleset' containment reference
    `org.eclipse.emf.common.util.EList` | `getRulesheetViewList()` Returns the value of the 'Rulesheet View List' containment reference list.
    `void` | `setRuleset(PRuleset value)` Sets the value of the '`Ruleset`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRuleset

          PRuleset getRuleset()

      Returns the value of the 'Ruleset' containment reference.

      If the meaning of the 'Ruleset' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleset' containment reference.
      See Also:
        `setRuleset(PRuleset)`, `AssetmodelPackage.getRulesheetAsset_Ruleset()`

    - #### setRuleset

          void setRuleset(PRuleset value)

      Sets the value of the '`Ruleset`' containment reference.
      Parameters:
        `value` - the new value of the 'Ruleset' containment reference.
      See Also:
        `getRuleset()`

    - #### getRulesheetViewList

          org.eclipse.emf.common.util.EList getRulesheetViewList()

      Returns the value of the 'Rulesheet View List' containment reference list. The list contents are of type `RulesheetView`.

      If the meaning of the 'Rulesheet View List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rulesheet View List' containment reference list.
      See Also:
        `AssetmodelPackage.getRulesheetAsset_RulesheetViewList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.